###############
# Device Detector - The Universal Device Detection library for parsing User Agents
#
# @link https://matomo.org
# @license http://www.gnu.org/licenses/lgpl.html LGPL v3 or later
###############

# AndroidDownloadManager
- regex: 'AndroidDownloadManager(?:[ /]([\d\.]+))?'
  name: 'AndroidDownloadManager'
  version: '$1'

# Apple News
- regex: '(?:Apple)?News(?:[ /][\d\.]+)? Version(?:[ /]([\d\.]+))?'
  name: 'Apple News'
  version: '$1'

- regex: 'bPod'
  name: 'bPod'
  version: ''

# Facebook Messenger
- regex: '(?:MessengerForiOS|MESSENGER).(?:FBAV)(?:[ /]([\d\.]+))?'
  name: 'Facebook Messenger'
  version: '$1'

# Facebook
- regex: '(?:FBAV|com.facebook.katana)(?:[ /]([\d\.]+))?'
  name: 'Facebook'
  version: '$1'
- regex: '(?:FBAN|FBSV|FBID|FBBV)/'
  name: 'Facebook'
  version: ''

# FeedR
- regex: 'FeedR(?:/([\d\.]+))?'
  name: 'FeedR'
  version: '$1'

# Google Go
- regex: 'com.google.android.apps.searchlite'
  name: 'Google Go'
  version: ''

# Google Play Kiosk
- regex: 'com.google.android.apps.magazines'
  name: 'Google Play Newsstand'
  version: ''

# Google Plus
- regex: 'com.google.GooglePlus'
  name: 'Google Plus'
  version: ''

# WeChat
- regex: 'MicroMessenger/([^ ]+)'
  name: 'WeChat'
  version: '$1'

# DingTalk
- regex: 'DingTalk/([0-9\.]+)'
  name: 'DingTalk'
  version: '$1'

# Sina Weibo
- regex: '.*__weibo__([0-9\.]+)__'
  name: 'Sina Weibo'
  version: '$1'

# Pinterest
- regex: 'Pinterest(?:/([\d\.]+))?'
  name: 'Pinterest'
  version: '$1'

# Podcatcher Deluxe
- regex: 'Podcatcher Deluxe'
  name: 'Podcatcher Deluxe'
  version: ''

# YouTube
- regex: 'com.google.android.youtube(?:/([\d\.]+))?'
  name: 'YouTube'
  version: '$1'

# AFNetworking generic
- regex: '([^/]+)/(\d+(?:\.\d+)+) \((?:iPhone|iPad); iOS [0-9\.]+; Scale/[0-9\.]+\)'
  name: '$1'
  version: '$2'

# WhatsApp
- regex: 'WhatsApp(?:[ /]([\d\.]+))?'
  name: 'WhatsApp'
  version: '$1'

# Line
- regex: 'Line(?:[ /]([\d\.]+))'
  name: 'Line'
  version: '$1'

# Instacast
- regex: 'Instacast(?:HD)?/(\d\.[\d\.abc]+) CFNetwork/([\d\.]+) Darwin/([\d\.]+)'
  name: 'Instacast'
  version: '$1'
-
  regex: 'Podcasts/([\d\.]+)'
  name: 'Podcasts'
  version: '$1'
-
  regex: 'Pocket Casts(?:, (?:Android|iOS) v([\d\.]+))?'
  name: 'Pocket Casts'
  version: '$1'
-
  regex: 'Podcat/([\d\.]+)'
  name: 'Podcat'
  version: '$1'

-
  regex: 'BeyondPod'
  name: 'BeyondPod'
  version:
-
  regex: 'AntennaPod/?([\d\.]+)?'
  name: 'AntennaPod'
  version: '$1'
-
  regex: 'Overcast/([\d\.]+)'
  name: 'Overcast'
  version: '$1'
-
  regex: '(?:CastBox|fm.castbox.audiobook.radio.podcast)/?([\d\.]+)?'
  name: 'CastBox'
  version: '$1'
-
  regex: 'Player FM'
  name: 'Player FM'
  version: ''
-
  regex: 'Podkicker(?: Pro)?/([\d\.]+)'
  name: 'Podkicker'
  version: '$1'
-
  regex: 'PodcastRepublic/([\d\.]+)'
  name: 'Podcast Republic'
  version: '$1'
-
  regex: 'Castro/(\d+)'
  name: 'Castro'
  version: '$1'
-
  regex: 'Castro 2 ([\d\.]+)/[\d]+ Like iTunes'
  name: 'Castro 2'
  version: '$1'
-
  regex: 'Castro 2'
  name: 'Castro 2'
  version: ''
-
  regex: 'DoggCatcher'
  name: 'DoggCatcher'
  version:
-
  regex: 'PodcastAddict/v([\d]+)'
  name: 'Podcast & Radio Addict'
  version: '$1'
-
  regex: 'Podcat/([\d]+) CFNetwork/([\d\.]+) Darwin/([\d\.]+)'
  name: 'Podcat'
  version: '$1'
-
  regex: 'i[cC]atcher[^\d]+([\d\.]+)'
  name: 'iCatcher'
  version: '$1'
-
  regex: 'YelpApp/([\d\.]+)'
  name: 'Yelp Mobile'
  version: '$1'
-
  regex: 'jp.co.yahoo.android.yjtop/([\d\.]+)'
  name: 'Yahoo! Japan'
  version: '$1'
-
  regex: 'RSSRadio/([\d]+)?'
  name: 'RSSRadio'
  version: '$1'
-
  regex: 'SogouSearch Android[\d\.]+ version([\d\.]+)?'
  name: 'SogouSearch App'
  version: '$1'
-
  regex: 'NewsArticle/([\d\.]+)?'
  name: 'NewsArticle App'
  version: '$1'
-
  regex: 'tieba/([\d\.]+)?'
  name: 'tieba'
  version: '$1'
-
  regex: 'com\.douban\.group/([\d\.]+)?'
  name: 'douban App'
  version: '$1'
-
  regex: 'BingWeb/([\d\.]+)?'
  name: 'BingWebApp'
  version: '$1'
-
  regex: 'GSA/([\d\.]+)?'
  name: 'Google Search App'
  version: '$1'
-
  regex: 'Flipboard/([\d\.]+)?'
  name: 'Flipboard App'
  version: '$1'
-
  regex: 'Instagram[ /]([\d\.]+)?'
  name: 'Instagram App'
  version: '$1'
-
  regex: 'baiduboxapp/([\d\.]+)?'
  name: 'Baidu Box App'
  version: '$1'
-
  regex: 'Crosswalk(?!.*(?:Streamy|QwantMobile))/([\d\.]+)?'
  name: 'CrosswalkApp'
  version: '$1'
-
  regex: 'Twitter for iPhone[/]?([\d\.]+)?'
  name: 'Twitter'
  version: '$1'
-
  regex: 'TopBuzz/([\d\.]+)'
  name: 'TopBuzz'
  version: '$1'
-
  regex: 'Snapchat/([\d\.]+)'
  name: 'Snapchat'
  version: '$1'

# UnityPlayer
- regex: 'UnityPlayer/([\d\.]+)'
  name: 'UnityPlayer'
  version: '$1'

